[Pkg-sysvinit-commits] r364 - in sysvinit/trunk/debian: . initscripts/etc/init.d

Thomas Hood jdthood-guest at costa.debian.org
Wed Dec 14 17:38:38 UTC 2005


Author: jdthood-guest
Date: 2005-12-14 17:38:37 +0000 (Wed, 14 Dec 2005)
New Revision: 364

Modified:
   sysvinit/trunk/debian/changelog
   sysvinit/trunk/debian/initscripts/etc/init.d/mountvirtfs
   sysvinit/trunk/debian/rules
Log:
Add /run

Modified: sysvinit/trunk/debian/changelog
===================================================================
--- sysvinit/trunk/debian/changelog	2005-12-13 20:51:21 UTC (rev 363)
+++ sysvinit/trunk/debian/changelog	2005-12-14 17:38:37 UTC (rev 364)
@@ -6,7 +6,7 @@
     #339955.  Actually fixing it has to wait until other packages
     remove "exit" from their .sh scripts.
 
-  [ Thomas Hood (non-DD) ]
+  [ Thomas Hood ]
   * *.sh: Make sure that these do their thing when they aren't given any
     command line arguments (as is the case when they are sourced)
   * initscripts: Improve use of log_* functions  (Closes: #55143, #323749)
@@ -22,7 +22,8 @@
     Thanks to Theodore Y. Ts'o.
   * checkroot.sh, mountvirtfs: Eliminate use of dir_writable in order to
     try to please selinux  (Closes: #333836)
-  * mountvirtfs: Mount a tmpfs on /run if specified in /etc/fstab
+  * Include /run/ in initscripts package
+  * mountvirtfs: Mount a tmpfs on /run
   * checkroot.sh: Only run findfs for mount on /  (Closes: #275680)
     Thanks to Cameron Hutchison for the patch.
   * mountall.sh, mountnfs.sh: Split call to bootclean out into separate

Modified: sysvinit/trunk/debian/initscripts/etc/init.d/mountvirtfs
===================================================================
--- sysvinit/trunk/debian/initscripts/etc/init.d/mountvirtfs	2005-12-13 20:51:21 UTC (rev 363)
+++ sysvinit/trunk/debian/initscripts/etc/init.d/mountvirtfs	2005-12-14 17:38:37 UTC (rev 364)
@@ -47,7 +47,7 @@
 # $3: mount point
 # $4 and up: extra mount program options
 domount () {
-
+	MTPT="$3"
 	# Figure out filesystem type
 	TYPE=
 	if [ "$1" = proc ]
@@ -83,17 +83,12 @@
 		exec 9<&0 0</etc/fstab
 		while read FDEV FDIR FTYPE FOPTS REST
 		do
-			case "$FDEV" in
-			  ""|\#*)
-				continue
-				;;
-			esac
-			if [ "$3" != "$FDIR" ] || [ "$TYPE" != "$FTYPE" ]
-			then
-				continue
-			fi
+			case "$FDEV" in (""|\#*) continue ;; esac
+			[ "$MTPT" = "$FDIR" ] || continue
+			[ "$TYPE" = "$FTYPE" ] || continue
 			case "$FOPTS" in
 			  noauto|*,noauto|noauto,*|*,noauto,*)
+				exec 0<&9 9<&-
 				return
 				;;
 			  ?*)
@@ -105,21 +100,21 @@
 		exec 0<&9 9<&-
 	fi
 
-	if [ ! -d "$3" ]
+	if [ ! -d "$MTPT" ]
 	then
-		log_warning_msg "Mount point '$3' does not exist. Skipping mount."
+		log_warning_msg "Mount point '$MTPT' does not exist. Skipping mount."
 		return
 	fi
 
-	if ! mountpoint -q $3
+	if mountpoint -q "$MTPT"
 	then
-		mount $MOUNT_N -t $TYPE $OPTS $4 $TYPE $3
-	else
 		# Only need to update mtab?
-		if [ "$DO_MTAB" ] && ! grep -E -sq "^([^ ]+) +$3 +" /etc/mtab
+		if [ "$DO_MTAB" ] && ! grep -E -sq "^([^ ]+) +$MTPT +" /etc/mtab
 		then
-			mount -f -t $TYPE $OPTS $4 $TYPE $3
+			mount -f -t $TYPE $OPTS $4 $TYPE $MTPT
 		fi
+	else
+		mount $MOUNT_N -t $TYPE $OPTS $4 $TYPE $MTPT
 	fi
 }
 

Modified: sysvinit/trunk/debian/rules
===================================================================
--- sysvinit/trunk/debian/rules	2005-12-13 20:51:21 UTC (rev 363)
+++ sysvinit/trunk/debian/rules	2005-12-14 17:38:37 UTC (rev 364)
@@ -99,11 +99,11 @@
 	dpkg --build $(tmp) ..
 	rm -rf $(tmp)
 	#
-	# initscripts
+	# initscripts package
 	#
 	-rm -rf $(tmp)
 	install -d -g root -m 755 -o root $(tmp)
-	install -d -g root -m 755 -o root $(tmp)/{DEBIAN,etc,usr,sbin,lib}
+	install -d -g root -m 755 -o root $(tmp)/{DEBIAN,etc,usr,sbin,lib,run}
 	install -d -g root -m 755 -o root $(tmp)/lib/init
 	install -d -g root -m 755 -o root $(tmp)/usr/share
 	install -d -g root -m 755 -o root $(tmp)/usr/share/initscripts
@@ -158,7 +158,7 @@
 # Architecture independant files.
 binary-indep:   build checkroot
 	#
-	# sysv-rc
+	# sysv-rc package
 	#
 	-rm -rf $(tmp)
 	install -d -g root -m 755 -o root $(tmp)




More information about the Pkg-sysvinit-commits mailing list